<app-tool-header [headerText]="headerText"></app-tool-header>

<app-item-list [itemList]="colors"></app-item-list>

<app-color-form
  buttonText="Add Color"
  (submitColor)="doAddColor($event)"
></app-color-form>
